This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253308 - gnome-boxes are launched too long after a system reboot.
gnome-boxes are launched too long after a system reboot.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 08:59 EDT by Mikhail
Modified: 2016-12-20 09:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:23:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2015-08-13 08:59:17 EDT
Description of problem:
gnome-boxes are launched too long after a system reboot.

$ gdb gnome-boxes 
GNU gdb (GDB) Fedora 7.9.90.20150717-7.fc23
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

* * *

[New Thread 0x7fffd4d49700 (LWP 12178)]
[New Thread 0x7fffcffff700 (LWP 12179)]
[New Thread 0x7fffce542700 (LWP 12181)]
[New Thread 0x7fffcdd41700 (LWP 12182)]

(gnome-boxes:12167): GLib-GObject-WARNING **: The property GtkCellRendererPixbuf:follow-state is deprecated and shouldn't be used anymore. It will be removed in a future version.
[New Thread 0x7fffcd540700 (LWP 12183)]
[Thread 0x7fffcd540700 (LWP 12183) exited]
[Thread 0x7fffcdd41700 (LWP 12182) exited]
[Thread 0x7fffce542700 (LWP 12181) exited]
^C
Program received signal SIGINT, Interrupt.
0x00007ffff232934d in poll () at ../sysdeps/unix/syscall-template.S:84
84	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
Missing separate debuginfos, use: dnf debuginfo-install dbus-libs-1.9.20-1.fc23.x86_64 device-mapper-libs-1.02.104-1.fc23.x86_64 flac-libs-1.3.1-5.fc23.x86_64 gnutls-3.4.4-1.fc23.x86_64 libcacard-2.4.0-1.fc23.x86_64 libuuid-2.27-0.2.fc23.x86_64 nss-3.19.3-1.0.fc23.x86_64 pixman-0.33.2-1.fc23.x86_64
(gdb) thread apply all bt

Thread 3 (Thread 0x7fffcffff700 (LWP 12179)):
#0  0x00007ffff232934d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff2bc725c in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fffc80010c0, timeout=<optimized out>, context=0x555555915ac0) at gmain.c:4103
#2  g_main_context_iterate (context=0x555555915ac0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3803
#3  0x00007ffff2bc75e2 in g_main_loop_run (loop=0x555555915580) at gmain.c:4002
#4  0x00007ffff31f25e6 in gdbus_shared_thread_func (user_data=0x555555915a90) at gdbusprivate.c:246
#5  0x00007ffff2bee7f5 in g_thread_proxy (data=0x5555558ddde0) at gthread.c:764
#6  0x00007ffff260070a in start_thread (arg=0x7fffcffff700) at pthread_create.c:334
#7  0x00007ffff2334e9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fffd4d49700 (LWP 12178)):
#0  0x00007ffff232934d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff2bc725c in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fffd00008e0, timeout=<optimized out>, context=0x55555590c760) at gmain.c:4103
#2  g_main_context_iterate (context=context@entry=0x55555590c760, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3803
#3  0x00007ffff2bc736c in g_main_context_iteration (context=0x55555590c760, may_block=may_block@entry=1) at gmain.c:3869
#4  0x00007ffff2bc73a9 in glib_worker_main (data=<optimized out>) at gmain.c:5622
#5  0x00007ffff2bee7f5 in g_thread_proxy (data=0x5555558ddd90) at gthread.c:764
#6  0x00007ffff260070a in start_thread (arg=0x7fffd4d49700) at pthread_create.c:334
#7  0x00007ffff2334e9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7ffff7edfb00 (LWP 12167)):
#0  0x00007ffff232934d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff2bc725c in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x555555c2da00, timeout=<optimized out>, context=0x555555c95940) at gmain.c:4103
#2  g_main_context_iterate (context=0x555555c95940, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3803
#3  0x00007ffff2bc75e2 in g_main_loop_run (loop=0x555555a258e0) at gmain.c:4002
#4  0x00007ffff31e4857 in g_dbus_connection_send_message_with_reply_sync (connection=connection@entry=0x55555590f0a0, message=message@entry=0x555555c70230, flags=flags@entry=G_DBUS_SEND_MESSAGE_FLAGS_NONE, 
    timeout_msec=timeout_msec@entry=2147483647, out_serial=out_serial@entry=0x0, cancellable=cancellable@entry=0x0, error=0x7fffffffc388) at gdbusconnection.c:2158
#5  0x00007ffff5ad1052 in tracker_sparql_backend_construct (object_type=<optimized out>, error=error@entry=0x7fffffffc3e0)
    at /home/carlos/Source/gnome/tracker/src/libtracker-sparql-backend/tracker-backend.vala:43
#6  0x00007ffff5ad19e5 in tracker_sparql_backend_new (error=error@entry=0x7fffffffc3e0) at /home/carlos/Source/gnome/tracker/src/libtracker-sparql-backend/tracker-backend.vala:31
#7  0x00007ffff5ad1a89 in tracker_sparql_backend_get (cancellable=cancellable@entry=0x0, error=error@entry=0x7fffffffc420)
    at /home/carlos/Source/gnome/tracker/src/libtracker-sparql-backend/tracker-backend.vala:244
#8  0x00007ffff5ad1e4e in tracker_sparql_backend_get_internal (cancellable=cancellable@entry=0x0, error=error@entry=0x7fffffffc460)
    at /home/carlos/Source/gnome/tracker/src/libtracker-sparql-backend/tracker-backend.vala:262
#9  0x00007ffff5ad239b in tracker_sparql_connection_get (cancellable=cancellable@entry=0x0, error=error@entry=0x7fffffffc490)
    at /home/carlos/Source/gnome/tracker/src/libtracker-sparql-backend/tracker-backend.vala:402
#10 0x00005555555bc4c1 in boxes_media_manager_construct (object_type=<optimized out>) at /home/zeenix/checkout/gnome/gnome-boxes/src/media-manager.vala:186
#11 boxes_media_manager_new () at /home/zeenix/checkout/gnome/gnome-boxes/src/media-manager.vala:181
#12 boxes_media_manager_get_instance () at /home/zeenix/checkout/gnome/gnome-boxes/src/media-manager.vala:19
#13 0x00005555555ec963 in boxes_wizard_source_constructor (type=<optimized out>, n_construct_properties=<optimized out>, construct_properties=0x555555978900)
    at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard-source.vala:167
#14 0x00007ffff2ecc4c9 in g_object_new_with_custom_constructor (n_params=0, params=0x0, class=0x555555c93a00) at gobject.c:1692
#15 g_object_new_internal (class=class@entry=0x555555c93a00, params=params@entry=0x0, n_params=n_params@entry=0) at gobject.c:1772
#16 0x00007ffff2ecdfb1 in g_object_newv (object_type=93824999595600, n_parameters=0, parameters=0x0) at gobject.c:1921
#17 0x00007ffff50757f2 in _gtk_builder_construct (builder=0x555555c9d610, info=0x555555c6fed0, error=0x7fffffffc730) at gtkbuilder.c:711
#18 0x00007ffff5076c25 in builder_construct (object_info=object_info@entry=0x555555c6fed0, error=error@entry=0x7fffffffc730, data=0x555555b26250) at gtkbuilderparser.c:185
#19 0x00007ffff50788a1 in end_element (context=<optimized out>, element_name=<optimized out>, user_data=0x555555b26250, error=0x7fffffffc730) at gtkbuilderparser.c:1121
#20 0x00007ffff2bca5e7 in emit_end_element (context=context@entry=0x555555b100b0, error=error@entry=0x7fffffffc860) at gmarkup.c:1084
#21 0x00007ffff2bcb40e in g_markup_parse_context_parse (context=0x555555b100b0, 
    text=text@entry=0x55555563d7a0 <gnome_boxes_resource_data+87912> "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<interface><!-- interface-requires gtk+ 3.9 --><template class=\"BoxesWizard\" parent=\"GtkStack\---Type <return> to continue, or q <return> to quit---
"><property name=\"visible\">True</property><property name=\"transition"..., text_len=<optimized out>, text_len@entry=6952, error=error@entry=0x7fffffffc860) at gmarkup.c:1626
#22 0x00007ffff5078c9d in _gtk_builder_parser_parse_buffer (builder=builder@entry=0x555555c9d610, filename=filename@entry=0x7ffff533ff41 "<input>", 
    buffer=buffer@entry=0x55555563d7a0 <gnome_boxes_resource_data+87912> "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<interface><!-- interface-requires gtk+ 3.9 --><template class=\"BoxesWizard\" parent=\"GtkStack\"><property name=\"visible\">True</property><property name=\"transition"..., length=length@entry=6952, requested_objs=requested_objs@entry=0x0, error=error@entry=0x7fffffffc860) at gtkbuilderparser.c:1309
#23 0x00007ffff5073c98 in gtk_builder_extend_with_template (builder=builder@entry=0x555555c9d610, widget=widget@entry=0x555555c5a320, template_type=template_type@entry=93824999896240, 
    buffer=0x55555563d7a0 <gnome_boxes_resource_data+87912> "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<interface><!-- interface-requires gtk+ 3.9 --><template class=\"BoxesWizard\" parent=\"GtkStack\"><property name=\"visible\">True</property><property name=\"transition"..., length=length@entry=6952, error=error@entry=0x7fffffffc8d0) at gtkbuilder.c:1146
#24 0x00007ffff52eafc0 in gtk_widget_init_template (widget=0x555555c5a320) at gtkwidget.c:16974
#25 0x00007ffff2eea889 in g_type_create_instance (type=93824999896240) at gtype.c:1870
#26 0x00007ffff2ecc178 in g_object_constructor (type=<optimized out>, n_construct_properties=4, construct_params=0x555555a05f60) at gobject.c:2059
#27 0x00005555555efa18 in boxes_wizard_constructor (type=93824999896240, n_construct_properties=4, construct_properties=0x555555a05f60) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:187
#28 0x00007ffff2ecc4c9 in g_object_new_with_custom_constructor (n_params=0, params=0x0, class=0x555555b10c10) at gobject.c:1692
#29 g_object_new_internal (class=class@entry=0x555555b10c10, params=params@entry=0x0, n_params=n_params@entry=0) at gobject.c:1772
#30 0x00007ffff2ecdfb1 in g_object_newv (object_type=93824999896240, n_parameters=0, parameters=0x0) at gobject.c:1921
#31 0x00007ffff50757f2 in _gtk_builder_construct (builder=0x555555afff30, info=0x555555c6fde0, error=0x7fffffffcd00) at gtkbuilder.c:711
#32 0x00007ffff5076c25 in builder_construct (object_info=object_info@entry=0x555555c6fde0, error=error@entry=0x7fffffffcd00, data=0x555555a54a60) at gtkbuilderparser.c:185
#33 0x00007ffff50788a1 in end_element (context=<optimized out>, element_name=<optimized out>, user_data=0x555555a54a60, error=0x7fffffffcd00) at gtkbuilderparser.c:1121
#34 0x00007ffff2bca5e7 in emit_end_element (context=context@entry=0x555555a568b0, error=error@entry=0x7fffffffce30) at gmarkup.c:1084
#35 0x00007ffff2bcb40e in g_markup_parse_context_parse (context=0x555555a568b0, 
    text=text@entry=0x55555563ae58 <gnome_boxes_resource_data+77344> "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<interface><!-- interface-requires gtk+ 3.9 --><!-- Widget hierarchy:\n\n     Boxes.WizardWindow : Gtk.Window\n        |\n        |-> notification_overlay = new Gtk."..., text_len=<optimized out>, text_len@entry=2509, error=error@entry=0x7fffffffce30) at gmarkup.c:1626
#36 0x00007ffff5078c9d in _gtk_builder_parser_parse_buffer (builder=builder@entry=0x555555afff30, filename=filename@entry=0x7ffff533ff41 "<input>", 
    buffer=buffer@entry=0x55555563ae58 <gnome_boxes_resource_data+77344> "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<interface><!-- interface-requires gtk+ 3.9 --><!-- Widget hierarchy:\n\n     Boxes.WizardWindow : Gtk.Window\n        |\n        |-> notification_overlay = new Gtk."..., length=length@entry=2509, requested_objs=requested_objs@entry=0x0, error=error@entry=0x7fffffffce30) at gtkbuilderparser.c:1309
#37 0x00007ffff5073c98 in gtk_builder_extend_with_template (builder=builder@entry=0x555555afff30, widget=widget@entry=0x555555c2a280, template_type=template_type@entry=93824997083328, 
    buffer=0x55555563ae58 <gnome_boxes_resource_data+77344> "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<interface><!-- interface-requires gtk+ 3.9 --><!-- Widget hierarchy:\n\n     Boxes.WizardWindow : Gtk.Window\n        |\n        |-> notification_overlay = new Gtk."..., length=length@entry=2509, error=error@entry=0x7fffffffcea0) at gtkbuilder.c:1146
#38 0x00007ffff52eafc0 in gtk_widget_init_template (widget=0x555555c2a280) at gtkwidget.c:16974
#39 0x00007ffff2eea889 in g_type_create_instance (type=93824997083328) at gtype.c:1870
#40 0x00007ffff2ecc69b in g_object_new_internal (class=class@entry=0x555555c71800, params=params@entry=0x0, n_params=n_params@entry=0) at gobject.c:1774
#41 0x00007ffff2ecdfb1 in g_object_newv (object_type=object_type@entry=93824997083328, n_parameters=n_parameters@entry=0, parameters=parameters@entry=0x0) at gobject.c:1921
#42 0x00007ffff2ece8e4 in g_object_new (object_type=93824997083328, first_property_name=first_property_name@entry=0x0) at gobject.c:1614
#43 0x00005555555e90d3 in boxes_wizard_window_construct (object_type=<optimized out>, app_window=app_window@entry=0x555555adc2e0) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard-window.vala:54
#44 0x00005555555e99d5 in boxes_wizard_window_new (app_window=app_window@entry=0x555555adc2e0) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard-window.vala:54
#45 0x000055555558ce84 in boxes_app_window_setup_ui (self=0x555555adc2e0) at /home/zeenix/checkout/gnome/gnome-boxes/src/app-window.vala:147
#46 0x0000555555588cf7 in boxes_app_add_new_window (self=0x5555558d9110) at /home/zeenix/checkout/gnome/gnome-boxes/src/app.vala:564
#47 0x000055555558af48 in boxes_app_real_activate (base=0x5555558d9110) at /home/zeenix/checkout/gnome/gnome-boxes/src/app.vala:165
#48 0x00007ffff2ec72e4 in _g_closure_invoke_va (closure=closure@entry=0x5555558d69e0, return_value=return_value@entry=0x0, instance=instance@entry=0x5555558d9110, args=args@entry=0x7fffffffd4e0, 
    n_params=<optimized out>, param_types=0x0) at gclosure.c:864
#49 0x00007ffff2ee1f2d in g_signal_emit_valist (instance=0x5555558d9110, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffffffd4e0) at gsignal.c:3246
#50 0x00007ffff2ee254f in g_signal_emit (instance=instance@entry=0x5555558d9110, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3393
#51 0x00007ffff31ba05b in g_application_activate (application=application@entry=0x5555558d9110) at gapplication.c:2114
#52 0x0000555555589d98 in boxes_app_real_command_line (base=0x5555558d9110, cmdline=0x555555abb840) at /home/zeenix/checkout/gnome/gnome-boxes/src/app.vala:228
#53 0x00007ffff202ad30 in ffi_call_unix64 () at ../src/x86/unix64.S:76
#54 0x00007ffff202a79b in ffi_call (cif=cif@entry=0x7fffffffd850, fn=<optimized out>, rvalue=0x7fffffffd7a0, avalue=avalue@entry=0x7fffffffd740) at ../src/x86/ffi64.c:525
#55 0x00007ffff2ec7e05 in g_cclosure_marshal_generic_va (closure=0x5555558d6990, return_value=0x7fffffffda20, instance=0x5555558d9110, args_list=<optimized out>, 
    marshal_data=0x555555589a50 <boxes_app_real_command_line>, n_params=1, param_types=0x5555558d6cd0) at gclosure.c:1594
#56 0x00007ffff2ec72e4 in _g_closure_invoke_va (closure=closure@entry=0x5555558d6990, return_value=return_value@entry=0x7fffffffda20, instance=instance@entry=0x5555558d9110, args=args@entry=0x7fffffffdaf0, 
    n_params=<optimized out>, param_types=0x5555558d6cd0) at gclosure.c:864
#57 0x00007ffff2ee1a43 in g_signal_emit_valist (instance=0x5555558d9110, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffffffdaf0) at gsignal.c:3246
#58 0x00007ffff2ee254f in g_signal_emit (instance=instance@entry=0x5555558d9110, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3393
---Type <return> to continue, or q <return> to quit---
#59 0x00007ffff31b8313 in g_application_call_command_line (application=0x5555558d9110, arguments=<optimized out>, options=<optimized out>, exit_status=0x7fffffffdd24) at gapplication.c:953
#60 0x00007ffff31ba79d in g_application_real_local_command_line (application=0x5555558d9110, arguments=0x7fffffffdd28, exit_status=0x7fffffffdd24) at gapplication.c:1007
#61 0x00007ffff31ba94a in g_application_run (application=0x5555558d9110, argc=1, argv=0x7fffffffde98) at gapplication.c:2280
#62 0x00005555555b9109 in _vala_main (args=0x7fffffffde98, args_length1=1) at /home/zeenix/checkout/gnome/gnome-boxes/src/main.vala:84
#63 0x00007ffff224d6c0 in __libc_start_main (main=0x555555586cf0 <main>, argc=1, argv=0x7fffffffde98, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffde88)
    at libc-start.c:289
#64 0x0000555555586d29 in _start ()
(gdb) 
(gdb)
Comment 1 Fedora End Of Life 2016-11-24 07:18:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 09:23:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.